langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.story_page.field_p_story_page_archive_statu
    - field.field.node.story_page.field_p_story_page_audience
    - field.field.node.story_page.field_p_story_page_author
    - field.field.node.story_page.field_p_story_page_body
    - field.field.node.story_page.field_p_story_page_caption
    - field.field.node.story_page.field_p_story_page_components
    - field.field.node.story_page.field_p_story_page_headline
    - field.field.node.story_page.field_p_story_page_high_wonder
    - field.field.node.story_page.field_p_story_page_image
    - field.field.node.story_page.field_p_story_page_l_media
    - field.field.node.story_page.field_p_story_page_list_cds
    - field.field.node.story_page.field_p_story_page_listing_image
    - field.field.node.story_page.field_p_story_page_listing_title
    - field.field.node.story_page.field_p_story_page_news_format
    - field.field.node.story_page.field_p_story_page_strap
    - field.field.node.story_page.field_p_story_page_tags
    - field.field.node.story_page.field_p_story_page_topic
    - node.type.story_page
  module:
    - cern_cds_media
    - ds
    - field_formatter_class
    - image
    - user
third_party_settings:
  ds:
    layout:
      id: pattern_preview_list
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        pattern:
          field_templates: only_content
    regions:
      listing_cds_image:
        - field_p_story_page_list_cds
      listing_image:
        - field_p_story_page_listing_image
      topic:
        - field_p_story_page_topic
      title:
        - field_p_story_page_listing_title
      strap:
        - field_p_story_page_author
      news_format:
        - field_p_story_page_news_format
id: node.story_page.teaser
targetEntityType: node
bundle: story_page
mode: teaser
content:
  field_p_story_page_author:
    type: entity_reference_label
    weight: 4
    region: strap
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_story_page_list_cds:
    type: CernCdsMediaDefaultFormatter
    weight: 0
    region: listing_cds_image
    label: above
    settings: {}
    third_party_settings: {}
  field_p_story_page_listing_image:
    type: image_url
    weight: 1
    region: listing_image
    label: above
    settings:
      image_style: ""
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_story_page_listing_title:
    type: string
    weight: 3
    region: title
    label: above
    settings:
      link_to_entity: true
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_story_page_news_format:
    type: entity_reference_label
    weight: 5
    region: news_format
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
  field_p_story_page_topic:
    type: entity_reference_label
    weight: 2
    region: topic
    label: above
    settings:
      link: false
    third_party_settings:
      field_formatter_class:
        class: ""
hidden:
  content_moderation_control: true
  field_p_story_page_archive_statu: true
  field_p_story_page_audience: true
  field_p_story_page_body: true
  field_p_story_page_caption: true
  field_p_story_page_components: true
  field_p_story_page_headline: true
  field_p_story_page_high_wonder: true
  field_p_story_page_image: true
  field_p_story_page_l_media: true
  field_p_story_page_strap: true
  field_p_story_page_tags: true
  langcode: true
  links: true
